CONF_modules_free(3) | OpenSSL | CONF_modules_free(3)

# NAME

CONF_modules_free, CONF_modules_finish, CONF_modules_unload - OpenSSL configuration cleanup functions

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/conf.h> void CONF_modules_free(void); void CONF_modules_finish(void); void CONF_modules_unload(int all);

# DESCRIPTION

CONF_modules_free() closes down and frees up all memory allocated by all configuration modules.

CONF_modules_finish() calls each configuration modules finish handler to free up any configuration that module may have performed.

CONF_modules_unload() finishes and unloads configuration modules. If all is set to 0 only modules loaded from DSOs will be unloads. If all is 1 all modules, including builtin modules will be unloaded.

# NOTES

Normally applications will only call CONF_modules_free() at application to tidy up any configuration performed.

# RETURN VALUE

None of the functions return a value.

# SEE ALSO

conf(5), OPENSSL_config(3), " CONF_modules_load_file(3), CONF_modules_load_file(3)"

# HISTORY

CONF_modules_free(), CONF_modules_unload(), and CONF_modules_finish() first appeared in OpenSSL 0.9.7.

July 20, 2009 | 1.0.1-dev